Bug 1306078 - sg3_utils-1.42 is available
sg3_utils-1.42 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sg3_utils (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-09 19:25 EST by Upstream Release Monitoring
Modified: 2017-02-21 08:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-21 08:28:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (17.24 KB, patch)
2016-09-12 18:34 EDT, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2016-02-09 19:25:13 EST
Latest upstream release: 1.42exe
Current version/release in rawhide: 1.41-3.fc24
URL: http://sg.danny.cz/sg/sg3_utils.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2016-02-09 19:25:28 EST
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-T5t2l5/sg3_utils.spec
return code:  22
stdout:
Getting http://sg.danny.cz/sg/p/sg3_utils-1.42exe.tgz to ./sg3_utils-1.42exe.tgz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
Comment 2 Upstream Release Monitoring 2016-09-12 18:34:15 EDT
Latest upstream release: 1.42
Current version/release in rawhide: 1.41-3.fc24
URL: http://sg.danny.cz/sg/sg3_utils.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4801/
Comment 3 Upstream Release Monitoring 2016-09-12 18:34:44 EDT
Patching or scratch build for sg3_utils-1.41 failed.
Comment 4 Upstream Release Monitoring 2016-09-12 18:34:46 EDT
Created attachment 1200285 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 5 Upstream Release Monitoring 2016-09-12 18:34:48 EDT
Following patches has been deleted:
['sg3_utils-1.37-dont-open-dev-snapshot.patch']
Comment 6 Account closed by the user 2016-10-22 14:38:02 EDT
(In reply to Upstream Release Monitoring from comment #2)

> Latest upstream release: 1.42
> Current version/release in rawhide: 1.41-3.fc24
> URL: http://sg.danny.cz/sg/sg3_utils.html
> Based on the information from anitya: https://release-monitoring.org/project/4801/

ping!
Comment 7 Account closed by the user 2016-11-09 17:06:35 EST
(In reply to Xose Vazquez Perez from comment #6)
> (In reply to Upstream Release Monitoring from comment #2)
> 
> > Latest upstream release: 1.42
> > Current version/release in rawhide: 1.41-3.fc24
> > URL: http://sg.danny.cz/sg/sg3_utils.html
> > Based on the information from anitya: https://release-monitoring.org/project/4801/

> ping!


Please, update it. There are fixes/new_features everywhere, also in rescan-scsi-bus.sh script. Thanks.


Changelog for sg3_utils-1.42 [20160217] [svn: r663]
  - sg_timestamp: new, to report or set timestamp
  - sg_read_attr: new, supported by tape drives
  - sg_stpg: fix truncation of target port field
  - sg_inq: cope with unicode strings, udev fixes
    - update version descriptor list to 20160125
    - '--export': new entries for UUID descriptor
  - sg_ses: add more field acronyms (ses3r11)
  - sg_logs: add Utilization lpage (sbc4r07)
    - add Background operation lpage
    - add Pending defects lpage
    - add LPS misalignment lpage (sbc4r10)
    - document '--All' ('-A') option
    - rework lto tape vendor lpages
  - sg_vpd: add Block limits extension VPD page
    - add Device constituents VPD page
    - add LB Protection VPD page (ssc 15-296r1)
    - LB provisioning VPD page: expand LBPRZ, add
      Minimum and Threshold percentage fields
    - rework lto tape vendor VPD pages
  - sg_inq+sg_vpd+sg_xcopy: add support for locally
    assigned UUIDs in VPD page 0x83 (15-267r2)
  - sg_sanitize: add --znr option (sbc4r07)
  - sg_rep_zones: add --partial option (zbc-r04)
  - sg_format: add ffmt option (sbc4r10)
    - add support for FORMAT MEDIUM (for tape)
  - sg_raw: document length relationships
  - rescan-scsi-bus.sh: updates from Suse
  - sg_lib_data: sync asc/ascq codes with T10 20151126
  - sg_lib: add 'sense' categories for SCSI statuses:
    condition met, busy, task set full, ACA active and
    task aborted
    - add pr2serr() extern
    - change sg_get_sense_str() and dStrHexStr(), return
      chars written (returned void previously)
    - add sg_get_sense_descriptors_str() function
    - add sg_get_designation_descriptor_str() function
    - sg_get_desig_type_str()+sg_get_desig_assoc_str()
      and sg_get_desig_code_set_str() added
    - sg_get_opcode_sa_name() break out zoning in/out,
      read attribute and read position service actions
  - sg_cmds_extra: add sg_ll_format_unit2() for FFMT
  - sg_pr2serr.h: new, to shorten fprintf(stderr, ...)
  - sg_io_linux, sg_pt_linux: drop SUGGEST_* decoding
  - sg_unaligned.h: add 48 bit support and gets for
    variable length unsigned integers
Comment 8 Ngo Than 2017-02-21 08:28:21 EST
it's fixed in sg3_utils-1.42-1.fc26.

https://koji.fedoraproject.org/koji/taskinfo?taskID=17977237

Note You need to log in before you can comment on or make changes to this bug.